Bug 1259933 - /usr/bin/timedatectl: *** Error in `/usr/bin/timedatectl': double free or corruption (!prev): 0x801e38f0 ***
/usr/bin/timedatectl: *** Error in `/usr/bin/timedatectl': double free or cor...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 16:29 EDT by John Florian
Modified: 2015-12-02 13:17 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:12:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Florian 2015-09-03 16:29:56 EDT
Description of problem:
Getting an unexpected backtrace in the system logs.

Version-Release number of selected component (if applicable):
systemd-216-25.fc21.i686

How reproducible:
every time


Steps to Reproduce:

Any of:
1. timedatectl
2. timedatectl status

While these work (or at least don't produce a backtrace):
1. timedatectl  -h
2. timedatectl list-timezones

Actual results:
# timedatectl  
      Local time: Thu 2015-09-03 16:18:26 EDT
  Universal time: Thu 2015-09-03 20:18:26 UTC
        RTC time: Thu 2015-09-03 20:18:26
       Time zone: America/Detroit (EDT, -0400)
     NTP enabled: yes
NTP synchronized: yes
 RTC in local TZ: no
*** Error in `timedatectl': double free or corruption (!prev): 0x820628f0 ***
======= Backtrace: =========
/lib/libc.so.6(+0x6ce09)[0xb75b7e09]
/lib/libc.so.6(+0x74406)[0xb75bf406]
/lib/libc.so.6(cfree+0x56)[0xb75c3676]
timedatectl(+0xc06d)[0x800dd06d]
timedatectl(+0x6e48)[0x800d7e48]
/lib/libc.so.6(__libc_start_main+0xde)[0xb7562e7e]
timedatectl(+0x7368)[0x800d8368]
======= Memory map: ========
800d1000-80113000 r-xp 00000000 fd:00 70008      /usr/bin/timedatectl
80113000-80115000 r--p 00041000 fd:00 70008      /usr/bin/timedatectl
80115000-80116000 rw-p 00043000 fd:00 70008      /usr/bin/timedatectl
8205f000-82080000 rw-p 00000000 00:00 0          [heap]
b7349000-b7549000 r--p 00000000 fd:00 65088      /usr/lib/locale/locale-archive
b7549000-b754b000 rw-p 00000000 00:00 0
b754b000-b7710000 r-xp 00000000 fd:00 65038      /usr/lib/libc-2.20.so
b7710000-b7713000 r--p 001c4000 fd:00 65038      /usr/lib/libc-2.20.so
b7713000-b7715000 rw-p 001c7000 fd:00 65038      /usr/lib/libc-2.20.so
b7715000-b7717000 rw-p 00000000 00:00 0
b7717000-b772e000 r-xp 00000000 fd:00 65064      /usr/lib/libpthread-2.20.so
b772e000-b772f000 r--p 00016000 fd:00 65064      /usr/lib/libpthread-2.20.so
b772f000-b7730000 rw-p 00017000 fd:00 65064      /usr/lib/libpthread-2.20.so
b7730000-b7732000 rw-p 00000000 00:00 0
b7732000-b774e000 r-xp 00000000 fd:00 64981      /usr/lib/libgcc_s-4.9.2-20150212.so.1
b774e000-b774f000 r--p 0001b000 fd:00 64981      /usr/lib/libgcc_s-4.9.2-20150212.so.1
b774f000-b7750000 rw-p 0001c000 fd:00 64981      /usr/lib/libgcc_s-4.9.2-20150212.so.1
b7750000-b7757000 r-xp 00000000 fd:00 65068      /usr/lib/librt-2.20.so
b7757000-b7758000 r--p 00006000 fd:00 65068      /usr/lib/librt-2.20.so
b7758000-b7759000 rw-p 00007000 fd:00 65068      /usr/lib/librt-2.20.so
b7764000-b7767000 rw-p 00000000 00:00 0
b7767000-b7769000 r--p 00000000 00:00 0          [vvar]
b7769000-b776a000 r-xp 00000000 00:00 0          [vdso]
b776a000-b778c000 r-xp 00000000 fd:00 65031      /usr/lib/ld-2.20.so
b778c000-b778d000 r--p 00021000 fd:00 65031      /usr/lib/ld-2.20.so
b778d000-b778e000 rw-p 00022000 fd:00 65031      /usr/lib/ld-2.20.so
bf862000-bf883000 rw-p 00000000 00:00 0          [stack]
Aborted (core dumped)

and the journal shows:

Sep 03 16:18:26 aos-fef1f0611f55 dbus[611]: [system] Activating via systemd: service name='org.freedesktop.timedate1' unit='dbus-org.freedesktop.timedate1.service'
Sep 03 16:18:26 aos-fef1f0611f55 dbus[611]: [system] Successfully activated service 'org.freedesktop.timedate1'
Sep 03 16:18:26 aos-fef1f0611f55 systemd-coredump[1893]: Process 1891 (timedatectl) of user 0 dumped core.

            Stack trace of thread 1891:
            #0  0x00000000b7769bc0 __kernel_vsyscall (linux-gate.so.1)
            #1  0x00000000b7578297 raise (libc.so.6)
            #2  0x00000000b7579b69 abort (libc.so.6)
            #3  0x00000000b75b7e0e __libc_message (libc.so.6)
            #4  0x00000000b75bf406 _int_free (libc.so.6)
            #5  0x00000000b75c3676 __libc_free (libc.so.6)
            #6  0x00000000800dd06d show_status.lto_priv.207 (timedatectl)
            #7  0x00000000800d7e48 main (timedatectl)
            #8  0x00000000b7562e7e __libc_start_main (libc.so.6)
            #9  0x00000000800d8368 _start (timedatectl)


Expected results:
less drama :-)

Additional info:
I'm getting this within a custom Live Fedora built by livecd-tools via koji.  I get two ISO images that are damned near identical where only the architecture is different.  One is i386 and the other x86_64.  I've only seen the problem with the i386 image but that's also where I've done the majority of my testing of late.  I'll flip over to x86_64 to see if I can catch it there.  I suspect I won't given how repeatable it is on i386.
Comment 1 John Florian 2015-09-28 09:48:12 EDT
I only ever see this on i386.  With x86_64 it works as expected.  This may be related to Bug #1188458 on armv7hl.

Any word on a possible fix for F21?
Comment 2 Daniel Brown 2015-10-30 11:56:10 EDT
I am also seeing this issue occur on different timezones. There are some timezones where this does not happen at all. I still have machines that need to be supported for fedeora 21. A fix would be appreciated.
Comment 3 Fedora End Of Life 2015-11-04 05:00:43 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-02 10:12:18 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.